ApiClusterUtilization (cloudera-manager-api-swagger 7.8.1 API)
Date: 2022-11-17

com.cloudera.api.swagger.model

## Class ApiClusterUtilization

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiClusterUtilization

-     @Generated(value="io.swagger.codegen.languages.JavaClientCodegen",
                 date="2022-11-17T16:22:50.425Z")
      public class ApiClusterUtilization
      extends Object

  Utilization report information of a Cluster.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiClusterUtilization()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiClusterUtilization` | `avgCpuDailyPeak(BigDecimal avgCpuDailyPeak)`
    `ApiClusterUtilization` | `avgCpuUtilization(BigDecimal avgCpuUtilization)`
    `ApiClusterUtilization` | `avgMemoryDailyPeak(BigDecimal avgMemoryDailyPeak)`
    `ApiClusterUtilization` | `avgMemoryUtilization(BigDecimal avgMemoryUtilization)`
    `ApiClusterUtilization` | `avgWorkloadCpu(BigDecimal avgWorkloadCpu)`
    `ApiClusterUtilization` | `avgWorkloadCpuDailyPeak(BigDecimal avgWorkloadCpuDailyPeak)`
    `ApiClusterUtilization` | `avgWorkloadMemory(BigDecimal avgWorkloadMemory)`
    `ApiClusterUtilization` | `avgWorkloadMemoryDailyPeak(BigDecimal avgWorkloadMemoryDailyPeak)`
    `boolean` | `equals(Object o)`
    `ApiClusterUtilization` | `errorMessage(String errorMessage)`
    `BigDecimal` | `getAvgCpuDailyPeak()` Average daily peak CPU consumption for the entire cluster during the report window.
    `BigDecimal` | `getAvgCpuUtilization()` Average CPU consumption for the entire cluster during the report window.
    `BigDecimal` | `getAvgMemoryDailyPeak()` Average daily peak memory consumption (as percentage of total memory) for the entire cluster during the report window.
    `BigDecimal` | `getAvgMemoryUtilization()` Average memory consumption (as percentage of total memory) for the entire cluster during the report window.
    `BigDecimal` | `getAvgWorkloadCpu()` Average CPU consumption by workloads that ran on the cluster during the report window.
    `BigDecimal` | `getAvgWorkloadCpuDailyPeak()` Average daily peak CPU consumption by workloads that ran on the cluster during the report window.
    `BigDecimal` | `getAvgWorkloadMemory()` Average memory consumption (as percentage of total memory) by workloads that ran on the cluster during the report window.
    `BigDecimal` | `getAvgWorkloadMemoryDailyPeak()` Average daily peak memory consumption (as percentage of total memory) by workloads that ran on the cluster during the report window.
    `String` | `getErrorMessage()` Error message while generating utilization report.
    `BigDecimal` | `getMaxCpuUtilization()` Maximum CPU consumption for the entire cluster during the report window.
    `BigDecimal` | `getMaxCpuUtilizationTimestampMs()` Timestamp corresponding to maximum CPU utilization for the entire cluster during the report window.
    `BigDecimal` | `getMaxMemoryUtilization()` Maximum memory consumption (as percentage of total memory) for the entire cluster during the report window.
    `BigDecimal` | `getMaxMemoryUtilizationTimestampMs()` Timestamp corresponding to maximum memory utilization for the entire cluster during the report window.
    `BigDecimal` | `getMaxWorkloadCpu()` Maximum CPU consumption by workloads that ran on the cluster during the report window.
    `BigDecimal` | `getMaxWorkloadCpuTimestampMs()` Timestamp corresponds to maximum CPU consumption by workloads that ran on the cluster during the report window.
    `BigDecimal` | `getMaxWorkloadMemory()` Maximum memory consumption (as percentage of total memory) by workloads that ran on the cluster.
    `BigDecimal` | `getMaxWorkloadMemoryTimestampMs()` Timestamp corresponds to maximum memory resource consumption by workloads that ran on the cluster during the report window.
    `ApiTenantUtilizationList` | `getTenantUtilizations()` A list of tenant utilization reports.
    `BigDecimal` | `getTotalCpuCores()` Average number of CPU cores available in the cluster during the report window.
    `BigDecimal` | `getTotalMemory()` Average physical memory (in bytes) available in the cluster during the report window.
    `int` | `hashCode()`
    `ApiClusterUtilization` | `maxCpuUtilization(BigDecimal maxCpuUtilization)`
    `ApiClusterUtilization` | `maxCpuUtilizationTimestampMs(BigDecimal maxCpuUtilizationTimestampMs)`
    `ApiClusterUtilization` | `maxMemoryUtilization(BigDecimal maxMemoryUtilization)`
    `ApiClusterUtilization` | `maxMemoryUtilizationTimestampMs(BigDecimal maxMemoryUtilizationTimestampMs)`
    `ApiClusterUtilization` | `maxWorkloadCpu(BigDecimal maxWorkloadCpu)`
    `ApiClusterUtilization` | `maxWorkloadCpuTimestampMs(BigDecimal maxWorkloadCpuTimestampMs)`
    `ApiClusterUtilization` | `maxWorkloadMemory(BigDecimal maxWorkloadMemory)`
    `ApiClusterUtilization` | `maxWorkloadMemoryTimestampMs(BigDecimal maxWorkloadMemoryTimestampMs)`
    `void` | `setAvgCpuDailyPeak(BigDecimal avgCpuDailyPeak)`
    `void` | `setAvgCpuUtilization(BigDecimal avgCpuUtilization)`
    `void` | `setAvgMemoryDailyPeak(BigDecimal avgMemoryDailyPeak)`
    `void` | `setAvgMemoryUtilization(BigDecimal avgMemoryUtilization)`
    `void` | `setAvgWorkloadCpu(BigDecimal avgWorkloadCpu)`
    `void` | `setAvgWorkloadCpuDailyPeak(BigDecimal avgWorkloadCpuDailyPeak)`
    `void` | `setAvgWorkloadMemory(BigDecimal avgWorkloadMemory)`
    `void` | `setAvgWorkloadMemoryDailyPeak(BigDecimal avgWorkloadMemoryDailyPeak)`
    `void` | `setErrorMessage(String errorMessage)`
    `void` | `setMaxCpuUtilization(BigDecimal maxCpuUtilization)`
    `void` | `setMaxCpuUtilizationTimestampMs(BigDecimal maxCpuUtilizationTimestampMs)`
    `void` | `setMaxMemoryUtilization(BigDecimal maxMemoryUtilization)`
    `void` | `setMaxMemoryUtilizationTimestampMs(BigDecimal maxMemoryUtilizationTimestampMs)`
    `void` | `setMaxWorkloadCpu(BigDecimal maxWorkloadCpu)`
    `void` | `setMaxWorkloadCpuTimestampMs(BigDecimal maxWorkloadCpuTimestampMs)`
    `void` | `setMaxWorkloadMemory(BigDecimal maxWorkloadMemory)`
    `void` | `setMaxWorkloadMemoryTimestampMs(BigDecimal maxWorkloadMemoryTimestampMs)`
    `void` | `setTenantUtilizations(ApiTenantUtilizationList tenantUtilizations)`
    `void` | `setTotalCpuCores(BigDecimal totalCpuCores)`
    `void` | `setTotalMemory(BigDecimal totalMemory)`
    `ApiClusterUtilization` | `tenantUtilizations(ApiTenantUtilizationList tenantUtilizations)`
    `String` | `toString()`
    `ApiClusterUtilization` | `totalCpuCores(BigDecimal totalCpuCores)`
    `ApiClusterUtilization` | `totalMemory(BigDecimal totalMemory)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiClusterUtilization

          public ApiClusterUtilization()

  - ### Method Detail

    - #### totalCpuCores

          public ApiClusterUtilization totalCpuCores(BigDecimal totalCpuCores)

    - #### getTotalCpuCores

          public BigDecimal getTotalCpuCores()

      Average number of CPU cores available in the cluster during the report window.
      Returns:
        totalCpuCores

    - #### setTotalCpuCores

          public void setTotalCpuCores(BigDecimal totalCpuCores)

    - #### avgCpuUtilization

          public ApiClusterUtilization avgCpuUtilization(BigDecimal avgCpuUtilization)

    - #### getAvgCpuUtilization

          public BigDecimal getAvgCpuUtilization()

      Average CPU consumption for the entire cluster during the report window. This includes consumption by user workloads in YARN and Impala, as well as consumption by all services running in the cluster.
      Returns:
        avgCpuUtilization

    - #### setAvgCpuUtilization

          public void setAvgCpuUtilization(BigDecimal avgCpuUtilization)

    - #### maxCpuUtilization

          public ApiClusterUtilization maxCpuUtilization(BigDecimal maxCpuUtilization)

    - #### getMaxCpuUtilization

          public BigDecimal getMaxCpuUtilization()

      Maximum CPU consumption for the entire cluster during the report window. This includes consumption by user workloads in YARN and Impala, as well as consumption by all services running in the cluster.
      Returns:
        maxCpuUtilization

    - #### setMaxCpuUtilization

          public void setMaxCpuUtilization(BigDecimal maxCpuUtilization)

    - #### avgCpuDailyPeak

          public ApiClusterUtilization avgCpuDailyPeak(BigDecimal avgCpuDailyPeak)

    - #### getAvgCpuDailyPeak

          public BigDecimal getAvgCpuDailyPeak()

      Average daily peak CPU consumption for the entire cluster during the report window. This includes consumption by user workloads in YARN and Impala, as well as consumption by all services running in the cluster.
      Returns:
        avgCpuDailyPeak

    - #### setAvgCpuDailyPeak

          public void setAvgCpuDailyPeak(BigDecimal avgCpuDailyPeak)

    - #### avgWorkloadCpu

          public ApiClusterUtilization avgWorkloadCpu(BigDecimal avgWorkloadCpu)

    - #### getAvgWorkloadCpu

          public BigDecimal getAvgWorkloadCpu()

      Average CPU consumption by workloads that ran on the cluster during the report window. This includes consumption by user workloads in YARN and Impala.
      Returns:
        avgWorkloadCpu

    - #### setAvgWorkloadCpu

          public void setAvgWorkloadCpu(BigDecimal avgWorkloadCpu)

    - #### maxWorkloadCpu

          public ApiClusterUtilization maxWorkloadCpu(BigDecimal maxWorkloadCpu)

    - #### getMaxWorkloadCpu

          public BigDecimal getMaxWorkloadCpu()

      Maximum CPU consumption by workloads that ran on the cluster during the report window. This includes consumption by user workloads in YARN and Impala.
      Returns:
        maxWorkloadCpu

    - #### setMaxWorkloadCpu

          public void setMaxWorkloadCpu(BigDecimal maxWorkloadCpu)

    - #### avgWorkloadCpuDailyPeak

          public ApiClusterUtilization avgWorkloadCpuDailyPeak(BigDecimal avgWorkloadCpuDailyPeak)

    - #### getAvgWorkloadCpuDailyPeak

          public BigDecimal getAvgWorkloadCpuDailyPeak()

      Average daily peak CPU consumption by workloads that ran on the cluster during the report window. This includes consumption by user workloads in YARN and Impala.
      Returns:
        avgWorkloadCpuDailyPeak

    - #### setAvgWorkloadCpuDailyPeak

          public void setAvgWorkloadCpuDailyPeak(BigDecimal avgWorkloadCpuDailyPeak)

    - #### totalMemory

          public ApiClusterUtilization totalMemory(BigDecimal totalMemory)

    - #### getTotalMemory

          public BigDecimal getTotalMemory()

      Average physical memory (in bytes) available in the cluster during the report window. This includes consumption by user workloads in YARN and Impala, as well as consumption by all services running in the cluster.
      Returns:
        totalMemory

    - #### setTotalMemory

          public void setTotalMemory(BigDecimal totalMemory)

    - #### avgMemoryUtilization

          public ApiClusterUtilization avgMemoryUtilization(BigDecimal avgMemoryUtilization)

    - #### getAvgMemoryUtilization

          public BigDecimal getAvgMemoryUtilization()

      Average memory consumption (as percentage of total memory) for the entire cluster during the report window. This includes consumption by user workloads in YARN and Impala, as well as consumption by all services running in the cluster.
      Returns:
        avgMemoryUtilization

    - #### setAvgMemoryUtilization

          public void setAvgMemoryUtilization(BigDecimal avgMemoryUtilization)

    - #### maxMemoryUtilization

          public ApiClusterUtilization maxMemoryUtilization(BigDecimal maxMemoryUtilization)

    - #### getMaxMemoryUtilization

          public BigDecimal getMaxMemoryUtilization()

      Maximum memory consumption (as percentage of total memory) for the entire cluster during the report window. This includes consumption by user workloads in YARN and Impala, as well as consumption by all services running in the cluster.
      Returns:
        maxMemoryUtilization

    - #### setMaxMemoryUtilization

          public void setMaxMemoryUtilization(BigDecimal maxMemoryUtilization)

    - #### avgMemoryDailyPeak

          public ApiClusterUtilization avgMemoryDailyPeak(BigDecimal avgMemoryDailyPeak)

    - #### getAvgMemoryDailyPeak

          public BigDecimal getAvgMemoryDailyPeak()

      Average daily peak memory consumption (as percentage of total memory) for the entire cluster during the report window. This includes consumption by user workloads in YARN and Impala, as well as consumption by all services running in the cluster.
      Returns:
        avgMemoryDailyPeak

    - #### setAvgMemoryDailyPeak

          public void setAvgMemoryDailyPeak(BigDecimal avgMemoryDailyPeak)

    - #### avgWorkloadMemory

          public ApiClusterUtilization avgWorkloadMemory(BigDecimal avgWorkloadMemory)

    - #### getAvgWorkloadMemory

          public BigDecimal getAvgWorkloadMemory()

      Average memory consumption (as percentage of total memory) by workloads that ran on the cluster during the report window. This includes consumption by user workloads in YARN and Impala.
      Returns:
        avgWorkloadMemory

    - #### setAvgWorkloadMemory

          public void setAvgWorkloadMemory(BigDecimal avgWorkloadMemory)

    - #### maxWorkloadMemory

          public ApiClusterUtilization maxWorkloadMemory(BigDecimal maxWorkloadMemory)

    - #### getMaxWorkloadMemory

          public BigDecimal getMaxWorkloadMemory()

      Maximum memory consumption (as percentage of total memory) by workloads that ran on the cluster. This includes consumption by user workloads in YARN and Impala
      Returns:
        maxWorkloadMemory

    - #### setMaxWorkloadMemory

          public void setMaxWorkloadMemory(BigDecimal maxWorkloadMemory)

    - #### avgWorkloadMemoryDailyPeak

          public ApiClusterUtilization avgWorkloadMemoryDailyPeak(BigDecimal avgWorkloadMemoryDailyPeak)

    - #### getAvgWorkloadMemoryDailyPeak

          public BigDecimal getAvgWorkloadMemoryDailyPeak()

      Average daily peak memory consumption (as percentage of total memory) by workloads that ran on the cluster during the report window. This includes consumption by user workloads in YARN and Impala.
      Returns:
        avgWorkloadMemoryDailyPeak

    - #### setAvgWorkloadMemoryDailyPeak

          public void setAvgWorkloadMemoryDailyPeak(BigDecimal avgWorkloadMemoryDailyPeak)

    - #### tenantUtilizations

          public ApiClusterUtilization tenantUtilizations(ApiTenantUtilizationList tenantUtilizations)

    - #### getTenantUtilizations

          public ApiTenantUtilizationList getTenantUtilizations()

      A list of tenant utilization reports.
      Returns:
        tenantUtilizations

    - #### setTenantUtilizations

          public void setTenantUtilizations(ApiTenantUtilizationList tenantUtilizations)

    - #### maxCpuUtilizationTimestampMs

          public ApiClusterUtilization maxCpuUtilizationTimestampMs(BigDecimal maxCpuUtilizationTimestampMs)

    - #### getMaxCpuUtilizationTimestampMs

          public BigDecimal getMaxCpuUtilizationTimestampMs()

      Timestamp corresponding to maximum CPU utilization for the entire cluster during the report window.
      Returns:
        maxCpuUtilizationTimestampMs

    - #### setMaxCpuUtilizationTimestampMs

          public void setMaxCpuUtilizationTimestampMs(BigDecimal maxCpuUtilizationTimestampMs)

    - #### maxMemoryUtilizationTimestampMs

          public ApiClusterUtilization maxMemoryUtilizationTimestampMs(BigDecimal maxMemoryUtilizationTimestampMs)

    - #### getMaxMemoryUtilizationTimestampMs

          public BigDecimal getMaxMemoryUtilizationTimestampMs()

      Timestamp corresponding to maximum memory utilization for the entire cluster during the report window.
      Returns:
        maxMemoryUtilizationTimestampMs

    - #### setMaxMemoryUtilizationTimestampMs

          public void setMaxMemoryUtilizationTimestampMs(BigDecimal maxMemoryUtilizationTimestampMs)

    - #### maxWorkloadCpuTimestampMs

          public ApiClusterUtilization maxWorkloadCpuTimestampMs(BigDecimal maxWorkloadCpuTimestampMs)

    - #### getMaxWorkloadCpuTimestampMs

          public BigDecimal getMaxWorkloadCpuTimestampMs()

      Timestamp corresponds to maximum CPU consumption by workloads that ran on the cluster during the report window.
      Returns:
        maxWorkloadCpuTimestampMs

    - #### setMaxWorkloadCpuTimestampMs

          public void setMaxWorkloadCpuTimestampMs(BigDecimal maxWorkloadCpuTimestampMs)

    - #### maxWorkloadMemoryTimestampMs

          public ApiClusterUtilization maxWorkloadMemoryTimestampMs(BigDecimal maxWorkloadMemoryTimestampMs)

    - #### getMaxWorkloadMemoryTimestampMs

          public BigDecimal getMaxWorkloadMemoryTimestampMs()

      Timestamp corresponds to maximum memory resource consumption by workloads that ran on the cluster during the report window.
      Returns:
        maxWorkloadMemoryTimestampMs

    - #### setMaxWorkloadMemoryTimestampMs

          public void setMaxWorkloadMemoryTimestampMs(BigDecimal maxWorkloadMemoryTimestampMs)

    - #### errorMessage

          public ApiClusterUtilization errorMessage(String errorMessage)

    - #### getErrorMessage

          public String getErrorMessage()

      Error message while generating utilization report.
      Returns:
        errorMessage

    - #### setErrorMessage

          public void setErrorMessage(String errorMessage)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2022. All rights reserved.